On Mon, Oct 31, 2005 at 09:41:37AM +0100, Mario 'BitKoenig' Holbe wrote: > reopen 336383
Here is a small patch which is probably more meaningful than my prosa :) > Also, removing the pidfile /var/run/caudium/caudium.pid before caudium > is actually stopped (it will be stopped below), is probably not a good > idea. Presumed you really think you need to remove the pidfile I just moved it below the debhelper section which in fact calls /etc/init.d/caudium stop (which, in turn, needs the pidfile :)). However, if you really think you need to remove the pidfile, plese consider doing this in the init-script after the start-stop-daemon call in the stop section. regards Mario -- The question of whether a computer can think is no more interesting than the question of whether a submarine can swim. -- E. W. Dijkstra
diff -ur caudium-1.4.7.o/debian/postrm caudium-1.4.7/debian/postrm
--- caudium-1.4.7.o/debian/postrm 2005-11-01 09:32:18.000000000 +0100
+++ caudium-1.4.7/debian/postrm 2005-11-01 09:35:09.000000000 +0100
@@ -47,6 +47,10 @@
# Clean the cache files
#
rm -rf /var/cache/caudium /var/state/caudium
+
+ # Try to remove the dirs, if they're empty
+ rmdir /usr/local/share/caudium/modules || true
+ rmdir /usr/local/share/caudium || true
;;
remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
diff -ur caudium-1.4.7.o/debian/prerm caudium-1.4.7/debian/prerm
--- caudium-1.4.7.o/debian/prerm 2005-11-01 09:32:18.000000000 +0100
+++ caudium-1.4.7/debian/prerm 2005-11-01 09:46:58.000000000 +0100
@@ -24,20 +24,14 @@
rm /usr/lib/caudium/.more_mode
fi
- if [ -d /usr/lib/caudium/caudium-images -o -L
/usr/lib/caudium/caudium-images ]; then
+ if [ -d /usr/lib/caudium/caudium-images ]; then
if [ -d /usr/lib/caudium/caudium-images/auto ]; then
rm -r /usr/lib/caudium/caudium-images/auto
fi
- rm -r /usr/lib/caudium/caudium-images
fi
-
- if [ -f /var/run/caudium/caudium.pid ]; then
- rm /var/run/caudium/caudium.pid
- fi
-
- # Try to remove the dirs, if they're empty
- rmdir /usr/local/share/caudium/modules || true
- rmdir /usr/local/share/caudium || true
+ # Remove either old directory or in newer versions symlink made
+ # in postinst
+ rm -r /usr/lib/caudium/caudium-images
update-alternatives --remove htpasswd /usr/bin/htpasswd-caudium
@@ -54,6 +48,10 @@
# generated by other debhelper scripts.
#DEBHELPER#
+
+if [ -f /var/run/caudium/caudium.pid ]; then
+ rm /var/run/caudium/caudium.pid
+fi
exit 0
signature.asc
Description: Digital signature

